<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
	android:id="@+id/puzzle_view_title_layout"
    android:orientation="horizontal"
	android:gravity="center_horizontal"
	android:background="#60404040"
   	android:layout_height="48dp" 
   	android:layout_width="match_parent">
  	<ImageButton
  		android:src="@drawable/prev"
		android:scaleType="fitCenter"
  		android:layout_width="wrap_content"
  		android:layout_height="20dp"
		android:layout_gravity="center_vertical"
		android:layout_weight="0"
		android:layout_margin="3dp"
		android:background="#00000000"
		android:onClick="onPrev"
  		android:id="@+id/prev_btn"/>
  	<TextView
  		android:text="Level"
  		android:layout_width="wrap_content"
  		android:layout_height="match_parent"
		android:layout_weight="0"
		android:textSize="40dp"
		android:paddingLeft="5dp"
		android:textScaleX="1"
		android:textColor="#FFE680"
		android:textStyle="bold"
		android:typeface="normal"
		android:gravity="center_vertical"
  		android:id="@+id/title_text"/>
	<View
		android:layout_width="0dp"
		android:layout_height="match_parent"
		android:layout_weight="1"/>
	<ImageButton
  		android:src="@drawable/undo"
		android:scaleType="fitCenter"
  		android:layout_width="wrap_content"
  		android:layout_height="match_parent"
		android:layout_gravity="center_vertical"
		android:layout_weight="0"
		android:layout_margin="3dp"
		android:background="#00000000"
		android:onClick="onUndo"
  		android:id="@+id/undo_btn"/>
  	<ImageButton
  		android:src="@drawable/reset"
		android:scaleType="fitCenter"
  		android:layout_width="wrap_content"
  		android:layout_height="match_parent"
		android:layout_gravity="center_vertical"
		android:layout_weight="0"
		android:layout_margin="3dp"
		android:background="#00000000"
		android:onClick="onReset"
  		android:id="@+id/reset_btn"/>
  	<ImageButton
  		android:src="@drawable/next"
		android:scaleType="fitCenter"
  		android:layout_width="wrap_content"
  		android:layout_height="20dp"
		android:layout_gravity="center_vertical"
		android:layout_weight="0"
		android:layout_margin="3dp"
		android:background="#00000000"
		android:onClick="onNext"
  		android:id="@+id/next_btn"/>
</LinearLayout>

